"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("proxy-polyfill");
const Component_1 = require("./react/Component");
const react = require("react");
const cloudwiseInstrument = {
    Component: Component_1.Component,
    PureComponent: Component_1.PureComponent
};
const cloudwiseProxy = new Proxy(react, {
    get(target, property) {
        if (cloudwiseInstrument[property] !== undefined) {
            return cloudwiseInstrument[property];
        }
        return target[property];
    }
});
module.exports = cloudwiseProxy;
