"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
const files = require("../scripts/fileOperationHelper");
const paths = require("../scripts/pathsConstants");
const TerminalReporter = require('metro/src/lib/TerminalReporter');
const { Terminal } = require('metro-core');
var reporter = new TerminalReporter(new Terminal(process.stdout));
function update(event) {
    return __awaiter(this, void 0, void 0, function* () {
        if (event) {
            if (event.type === "transform_cache_reset") {
                try {
                    yield files.deleteDirectory(paths.getBuildPath());
                }
                catch (e) {
                }
            }
        }
        reporter.update(event);
    });
}
module.exports.update = update;
