"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ConfigurationContainer_1 = require("./ConfigurationContainer");
var mainConfig;
exports.Configuration = {
    setConfiguration(options) {
        this.loadConfiguration();
        mainConfig.debug = options.debug;
        mainConfig.lifecycleUpdate = options.lifecycleUpdate;
    },
    loadConfiguration() {
        mainConfig = ConfigurationContainer_1.defaultConfig;
        return mainConfig;
    },
    isDebugEnabled() {
        return mainConfig.debug;
    },
    isLifecycleUpdateEnabled() {
        return mainConfig.lifecycleUpdate;
    }
};
